[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: debootstrap says Packages was corrupt



On Sat, 19 May 2007, Daniel Baumann wrote:

> Steve McIntyre wrote:
> > Hmmm. These look *very* similar to issues I've seen in the last few
> > months while hacking on debian-cd:
> > 
> >  * shortcomings in busybox gunzip (#402482)
> 
> thanks ;)
> 
> i suspected 'corrupted' indices (or, indicies not the way d-i wants
> them) rather than corrputed busybox, because i know that debian-cd does
> not use apt-ftparchive anymore. however, it's broken busybox then.

Ah... so it's not something I did wrong.

> according to the bugreport you referenced, this seems to be a know issue
> for month. how likely is it that this can be fixed with etch point
> release? if not busybox can be fixed, can d-i be changed to not insist
> on Packages.gz if a Packages is available?
> 
> unrelated to that, it's an extremely weird bug if the /original/ indices
> are accepted, but any changed ones not.

Extremely weird indeed - and raises the question of just how should we
generate Packages[.gz] which are acceptable to the current install tools.  
Any suggestions?

Thanks,
Neale.



Reply to: